## ide-diagnostics-manager ide-diagnostics-manager |

## Functions

IdeDiagnosticsManager * | ide_diagnostics_manager_from_context ()
gboolean | ide_diagnostics_manager_get_busy ()
IdeDiagnostics * | ide_diagnostics_manager_get_diagnostics_for_file ()
guint | ide_diagnostics_manager_get_sequence_for_file ()
void | ide_diagnostics_manager_rediagnose ()

## Properties

gboolean | busy | Read

## Signals

void | changed | Run Last

## Types and Values

#define | IDE_TYPE_DIAGNOSTICS_MANAGER
| IdeDiagnosticsManager

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeDiagnosticsManager

## Description

## Functions

### ide_diagnostics_manager_from_context ()

    IdeDiagnosticsManager *
    ide_diagnostics_manager_from_context (IdeContext *context);

Gets the diagnostics manager for the context.

#### Parameters

context | an IdeContext |

#### Returns

an IdeDiagnosticsManager.

[transfer none]

Since: 3.32

### ide_diagnostics_manager_get_busy ()

    gboolean
    ide_diagnostics_manager_get_busy (IdeDiagnosticsManager *self);

Gets if the diagnostics manager is currently executing a diagnosis.

#### Returns

`TRUE` if the IdeDiagnosticsManager is busy diagnosing.

Since: 3.32

### ide_diagnostics_manager_get_diagnostics_for_file ()

    IdeDiagnostics *
    ide_diagnostics_manager_get_diagnostics_for_file
                                   (IdeDiagnosticsManager *self,
                                    GFile *file);

This function collects all of the diagnostics that have been collected for `file` and returns them as a new IdeDiagnostics to the caller.

The IdeDiagnostics structure will contain zero items if there are no diagnostics discovered. Therefore, this function will never return a `NULL` value.

#### Parameters

self | An IdeDiagnosticsManager |
file | a GFile to retrieve diagnostics for |

#### Returns

A new IdeDiagnostics.

[transfer full]

Since: 3.32

### ide_diagnostics_manager_get_sequence_for_file ()

    guint
    ide_diagnostics_manager_get_sequence_for_file
                                   (IdeDiagnosticsManager *self,
                                    GFile *file);

### ide_diagnostics_manager_rediagnose ()

    void
    ide_diagnostics_manager_rediagnose (IdeDiagnosticsManager *self,
                                        IdeBuffer *buffer);

Requests that the diagnostics be reloaded for `buffer` .

You may want to call this if you changed something that a buffer depends on, and want to seamlessly update its diagnostics with that updated information.

#### Parameters

self | an IdeDiagnosticsManager |
buffer | an IdeBuffer |

Since: 3.32

## Types and Values

### IDE_TYPE_DIAGNOSTICS_MANAGER

    #define IDE_TYPE_DIAGNOSTICS_MANAGER (ide_diagnostics_manager_get_type())

### IdeDiagnosticsManager

    typedef struct _IdeDiagnosticsManager IdeDiagnosticsManager;

## Property Details

### The `“busy”` property

      “busy”                     gboolean

If the diagnostics manager is busy.

Owner: IdeDiagnosticsManager

Flags: Read

Default value: FALSE

## Signal Details

### The `“changed”` signal

    void
    user_function (IdeDiagnosticsManager *self,
                   gpointer               user_data)

This signal is emitted when the diagnostics have changed for any file managed by the IdeDiagnosticsManager.

#### Parameters

self | an IdeDiagnosticsManager |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 3.32